## qt6-serialbus 6.2.4

=== tests/CMakeLists.txt ===
if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()
qt_build_tests()

=== examples/serialbus/can/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(can LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialbus/can")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS SerialBus)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(can
    bitratebox.cpp bitratebox.h
    connectdialog.cpp connectdialog.h connectdialog.ui
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
    sendframebox.cpp sendframebox.h sendframebox.ui
    receivedframesmodel.cpp receivedframesmodel.h
    receivedframesview.cpp receivedframesview.h
)
set_target_properties(can PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(can PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::SerialBus
    Qt::Widgets
)


# Resources:
set(can_resource_files
    "images/application-exit.png"
    "images/clear.png"
    "images/connect.png"
    "images/disconnect.png"
)

qt6_add_resources(can "can"
    PREFIX
        "/"
    FILES
        ${can_resource_files}
)

install(TARGETS can
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/tools/canbusutil/CMakeLists.txt ===
#####################################################################
## canbusutil Tool:
#####################################################################

qt_get_tool_target_name(target_name canbusutil)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt CAN Bus Util"
    TOOLS_TARGET SerialBus
    SOURCES
        canbusutil.cpp canbusutil.h
        main.cpp
        readtask.cpp readtask.h
        sigtermhandler.cpp sigtermhandler.h
    LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== examples/serialbus/modbus/custom/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(customcommand LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialbus/modbus/custom")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS SerialBus)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(customcommand
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
    modbusclient.cpp modbusclient.h
    modbusserver.cpp modbusserver.h
    registermodel.cpp registermodel.h
)

set_target_properties(customcommand PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(customcommand PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::SerialBus
    Qt::Widgets
)

set(custom_resource_files
    "images/connect.png"
    "images/disconnect.png"
    "images/settings.png"
)

qt6_add_resources(customcommand "custom"
    PREFIX
        "/"
    FILES
        ${custom_resource_files}
)

install(TARGETS customcommand
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-serialbus (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 20:37:14 +0200

qt6-serialbus (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:21:46 +0100

qt6-serialbus (6.2.2-2) experimental; urgency=medium

  * Team upload.
  * Fix build on non-Linux architectures:
    - add the dh-exec build dependency, needed for architecture filters in
      .install files
    - make libqt6serialbus6-dev.install use dh-exec, and limit installation
      of Linux-only files

 -- Pino Toscano <pino@debian.org>  Sun, 30 Jan 2022 12:23:20 +0100

qt6-serialbus (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Dec 2021 09:50:09 +0100

qt6-serialbus (6.2.1-3) experimental; urgency=medium

  [ Lu YaNing ]
  * Update description.
  * Fix d/copyright Upstream-Name.
  * List cmake files in detail.

  [ Patrick Franz ]
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Nov 2021 21:01:29 +0100

qt6-serialbus (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 16:53:21 +0100

qt6-serialbus (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999498)

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Nov 2021 02:22:17 +0100

=== debian/control ===
Source: qt6-serialbus
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               dh-exec,
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6serialport6-dev (>= 6.2.4~),
               libvulkan-dev [linux-any],
               linux-libc-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
Rules-Requires-Root: no

Package: libqt6serialbus6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Serial Bus library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the shared library for Qt 6 Serial Bus.

Package: libqt6serialbus6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Serial Bus helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains helper binaries for the Qt 6 Serial Bus module.

Package: libqt6serialbus6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt6serialbus6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Serial Bus plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains plugins for Qt 6 Serial Bus.

Package: libqt6serialbus6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6serialbus6 (= ${binary:Version}),
         libqt6serialbus6-plugins (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Serial Bus development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the header development files used for building Qt 6
 applications using qtserialbus.

## qt6-serialbus 6.3.1

=== debian/changelog ===
qt6-serialbus (6.3.1-3) unstable; urgency=medium

  * Team upload.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Merge the plugins with the library, the CAN classes are useless without
    them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Sep 2022 17:08:16 -0300

qt6-serialbus (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:48 +0200

qt6-serialbus (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Jul 2022 12:40:50 +0200

qt6-serialbus (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 02:21:27 +0200

qt6-serialbus (6.2.4-3) unstable; urgency=medium

  * Team upload.
  * Make libqt6serialbus6-dev depend upon libqt6serialbus6-bin and
    libqt6serialport6-dev (Closes: #1012582, 1012589).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2022 17:34:02 -0300

qt6-serialbus (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
+               debhelper-compat (= 13),
                dh-exec,
-               debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6serialport6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6serialport6-dev (>= 6.3.1~),
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
@@ -26,6 +26,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt6serialbus6-plugins (<< 6.3.1-3~)
+Replaces: libqt6serialbus6-plugins (<< 6.3.1-3~)
 Description: Qt 6 Serial Bus library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -52,29 +54,13 @@
  .
  This package contains helper binaries for the Qt 6 Serial Bus module.
 
-Package: libqt6serialbus6-plugins
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt6serialbus6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt 6 Serial Bus plugins
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The Qt 6 Serial Bus module provides the Qt module for general purpose
- serial bus access, support for CAN and potentially other
- serial buses.
- .
- This package contains plugins for Qt 6 Serial Bus.
-
 Package: libqt6serialbus6-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialbus6 (= ${binary:Version}),
-         libqt6serialbus6-plugins (= ${binary:Version}),
+         libqt6serialbus6-bin (= ${binary:Version}),
+         libqt6serialport6-dev,
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Serial Bus development files

## qt6-serialbus 6.4.1

=== debian/changelog ===
qt6-serialbus (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6serialbus6-dev to qt6-serialbus-dev.
  * Update dependencies.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 20:20:27 +0100

qt6-serialbus (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:08:38 +0100

qt6-serialbus (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Increase CMake verbosity level.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:33:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                debhelper-compat (= 13),
                dh-exec,
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6serialport6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-serialport-dev (>= 6.4.1~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
@@ -54,15 +54,17 @@
  .
  This package contains helper binaries for the Qt 6 Serial Bus module.
 
-Package: libqt6serialbus6-dev
+Package: qt6-serialbus-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialbus6 (= ${binary:Version}),
          libqt6serialbus6-bin (= ${binary:Version}),
-         libqt6serialport6-dev,
          qt6-base-dev,
+         qt6-serialport-dev,
          ${misc:Depends},
+Breaks: libqt6serialbus6-dev (<< 6.4.1-2~)
+Replaces: libqt6serialbus6-dev (<< 6.4.1-2~)
 Description: Qt 6 Serial Bus development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-serialbus 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtSerialBus
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt SerialBus Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

if(WASM)
    message(NOTICE "Skipping the build as the condition \"NOT WASM\" is not met.")
    return()
endif()
if(INTEGRITY)
    message(NOTICE "Skipping the build as the condition \"NOT INTEGRITY\" is not met.")
    return()
endif()
if(VXWORKS)
    message(NOTICE "Skipping the build as the condition \"NOT VXWORKS\" is not met.")
    return()
endif()
if(WINRT)
    message(NOTICE "Skipping the build as the condition \"NOT WINRT\" is not met.")
    return()
endif()
if(UIKIT)
    message(NOTICE "Skipping the build as the condition \"NOT UIKIT\" is not met.")
    return()
endif()
if(EMSCRIPTEN)
    message(NOTICE "Skipping the build as the condition \"NOT EMSCRIPTEN\" is not met.")
    return()
endif()

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Widgets SerialPort)

qt_build_repo()

=== src/CMakeLists.txt ===
add_subdirectory(serialbus)
add_subdirectory(plugins)
add_subdirectory(tools)

=== config.tests/socketcan/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_socketcan LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/socketcan_fd/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_socketcan_fd LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== src/serialbus/CMakeLists.txt ===
#####################################################################
## SerialBus Module:
#####################################################################

qt_internal_add_module(SerialBus
    PLUGIN_TYPES canbus
    SOURCES
        qcanbus.cpp qcanbus.h
        qcanbusdevice.cpp qcanbusdevice.h qcanbusdevice_p.h
        qcanbusdeviceinfo.cpp qcanbusdeviceinfo.h qcanbusdeviceinfo_p.h
        qcanbusfactory.cpp qcanbusfactory.h
        qcanbusframe.cpp qcanbusframe.h
        qmodbus_symbols_p.h
        qmodbusadu_p.h
        qmodbusclient.cpp qmodbusclient.h qmodbusclient_p.h
        qmodbuscommevent_p.h
        qmodbusdataunit.cpp qmodbusdataunit.h
        qmodbusdevice.cpp qmodbusdevice.h qmodbusdevice_p.h
        qmodbusdeviceidentification.cpp qmodbusdeviceidentification.h
        qmodbuspdu.cpp qmodbuspdu.h
        qmodbusreply.cpp qmodbusreply.h
        qmodbusserver.cpp qmodbusserver.h qmodbusserver_p.h
        qmodbustcpclient.cpp qmodbustcpclient.h qmodbustcpclient_p.h
        qmodbustcpserver.cpp qmodbustcpserver.h qmodbustcpserver_p.h
        qtserialbusglobal.h
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network  # TODO: QTBUG-86533 workaround, Qt::Network should be moved to LIBRARIES
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::Network
    GENERATE_CPP_EXPORTS
)

## Scopes:
#####################################################################

qt_internal_extend_target(SerialBus CONDITION QT_FEATURE_modbus_serialport
    SOURCES
        qmodbusrtuserialclient.cpp qmodbusrtuserialclient.h qmodbusrtuserialclient_p.h
        qmodbusrtuserialserver.cpp qmodbusrtuserialserver.h qmodbusrtuserialserver_p.h
    PUBLIC_LIBRARIES
        Qt::SerialPort
    PRIVATE_MODULE_INTERFACE
        Qt::SerialPort
)

qt_internal_add_docs(SerialBus
    doc/qtserialbus.qdocconf
)

=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Widgets AND TARGET Qt::SerialBus)
    add_subdirectory(modbus)
endif()

=== examples/serialbus/modbus/CMakeLists.txt ===
qt_internal_add_example(client)
qt_internal_add_example(server)
qt_internal_add_example(custom)

=== tests/auto/cmake/CMakeLists.txt ===
# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(serialbus_cmake_tests)
enable_testing()

set(required_packages Core SerialBus)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    SerialBus QCanBusFrame
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/qmodbusdataunit/CMakeLists.txt ===
#####################################################################
## tst_qmodbusdataunit Test:
#####################################################################

qt_internal_add_test(tst_qmodbusdataunit
    SOURCES
        tst_qmodbusdataunit.cpp
    PUBLIC_LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== tests/auto/qmodbusdevice/CMakeLists.txt ===
#####################################################################
## tst_qmodbusdevice Test:
#####################################################################

qt_internal_add_test(tst_qmodbusdevice
    SOURCES
        tst_qmodbusdevice.cpp
    PUBLIC_LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== tests/auto/qmodbusdeviceidentification/CMakeLists.txt ===
#####################################################################
## tst_qmodbusdeviceidentification Test:
#####################################################################

qt_internal_add_test(tst_qmodbusdeviceidentification
    SOURCES
        tst_qmodbusdeviceidentification.cpp
    PUBLIC_LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== tests/auto/qmodbuspdu/CMakeLists.txt ===
#####################################################################
## tst_qmodbuspdu Test:
#####################################################################

qt_internal_add_test(tst_qmodbuspdu
    SOURCES
        tst_qmodbuspdu.cpp
    PUBLIC_LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== debian/changelog ===
qt6-serialbus (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:17 +0000

qt6-serialbus (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:22 +0000

qt6-serialbus (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:35:36 -0300

qt6-serialbus (6.4.2-3) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documenattion and examples packages (Closes: #1042257).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 17:38:15 -0300

qt6-serialbus (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Jun 2023 00:51:00 +0200

qt6-serialbus (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:32:05 +0100

qt6-serialbus (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6serialbus6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:48:16 +0100

qt6-serialbus (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:56 +0100

qt6-serialbus (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:30 +0100

=== debian/control ===
Source: qt6-serialbus
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libvulkan-dev [linux-any],
               linux-libc-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-serialport-dev (>= 6.4.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
Rules-Requires-Root: no

Package: libqt6serialbus6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6serialbus6-plugins (<< 6.3.1-3~),
Replaces: libqt6serialbus6-plugins (<< 6.3.1-3~),
Description: Qt 6 Serial Bus library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the shared library for Qt 6 Serial Bus.

Package: libqt6serialbus6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Serial Bus helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains helper binaries for the Qt 6 Serial Bus module.

Package: qt6-serialbus-dev
Provides: libqt6serialbus6-dev (= ${binary:Version}),
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6serialbus6 (= ${binary:Version}),
         libqt6serialbus6-bin (= ${binary:Version}),
         qt6-base-dev,
         qt6-serialport-dev,
         ${misc:Depends},
Breaks: libqt6serialbus6-dev (<< 6.4.1-2~),
Replaces: libqt6serialbus6-dev (<< 6.4.1-2~),
Description: Qt 6 Serial Bus development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the header development files used for building Qt 6
 applications using qtserialbus.

Package: qt6-serialbus-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serialbus tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt serial bus
 documentation.

Package: qt6-serialbus-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 serial bus examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt serial bus submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-serialbus 6.6.1

=== debian/changelog ===
qt6-serialbus (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 19:46:02 +0100

qt6-serialbus (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 19:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-serialbus
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,11 +12,11 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-serialport-dev (>= 6.4.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-serialport-dev (>= 6.6.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus

## qt6-serialbus 6.6.2

=== debian/changelog ===
qt6-serialbus (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:37:45 +0200

qt6-serialbus (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 12:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-serialport-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-serialport-dev (>= 6.6.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2

## qt6-serialbus 6.7.2

=== debian/changelog ===
qt6-serialbus (6.7.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 6.6.2-3.

  [ Patrick Franz ]
  * Remove virtual package libqt6serialbus6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:02:03 +0200

qt6-serialbus (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 09:44:59 +0200

qt6-serialbus (6.6.2-3) unstable; urgency=medium

  * Team upload.
  * Limit the libqt6serialbus6-bin dependency in qt6-serialbus-dev to Linux
    architectures, as libqt6serialbus6-bin is linux-any.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Sep 2024 07:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-serialport-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-serialport-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
@@ -56,12 +56,11 @@
  This package contains helper binaries for the Qt 6 Serial Bus module.
 
 Package: qt6-serialbus-dev
-Provides: libqt6serialbus6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialbus6 (= ${binary:Version}),
-         libqt6serialbus6-bin (= ${binary:Version}),
+         libqt6serialbus6-bin (= ${binary:Version}) [linux-any],
          qt6-base-dev,
          qt6-serialport-dev,
          ${misc:Depends},

## qt6-serialbus 6.8.0

=== debian/changelog ===
qt6-serialbus (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 14:32:51 +0800

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-serialport-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-serialport-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
@@ -56,11 +56,12 @@
  This package contains helper binaries for the Qt 6 Serial Bus module.
 
 Package: qt6-serialbus-dev
+Provides: libqt6serialbus6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialbus6 (= ${binary:Version}),
-         libqt6serialbus6-bin (= ${binary:Version}) [linux-any],
+         libqt6serialbus6-bin (= ${binary:Version}),
          qt6-base-dev,
          qt6-serialport-dev,
          ${misc:Depends},

## qt6-serialbus 6.8.1

=== debian/changelog ===
qt6-serialbus (6.8.1-0ubuntu1) plucky; urgency=medium

  [ Patrick Franz ]
  * Add symbolic links in /usr/bin for user-facing tools.

  [ Simon Quigley ]
  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:54:35 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-serialbus
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,14 +11,14 @@
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-serialport-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-serialport-dev (>= 6.8.1~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
@@ -56,12 +57,11 @@
  This package contains helper binaries for the Qt 6 Serial Bus module.
 
 Package: qt6-serialbus-dev
-Provides: libqt6serialbus6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialbus6 (= ${binary:Version}),
-         libqt6serialbus6-bin (= ${binary:Version}),
+         libqt6serialbus6-bin (= ${binary:Version}) [linux-any],
          qt6-base-dev,
          qt6-serialport-dev,
          ${misc:Depends},

## qt6-serialbus 6.8.2

=== debian/changelog ===
qt6-serialbus (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:07:55 +0100

qt6-serialbus (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:38:07 +0100

qt6-serialbus (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add symbolic links in /usr/bin for user-facing tools.
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 04 Feb 2025 23:22:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-serialbus
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,9 +12,9 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-serialport-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-serialport-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-serialbus 6.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.16)
 
 include(.cmake.conf)
@@ -38,5 +41,6 @@
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
 find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Widgets SerialPort)
+qt_internal_project_setup()
 
 qt_build_repo()

=== tests/auto/plugins/CMakeLists.txt ===
add_subdirectory(testcanbus)

=== tests/auto/qmodbusdeviceidentification/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qmodbusdeviceidentification Test:
#####################################################################

qt_internal_add_test(tst_qmodbusdeviceidentification
    SOURCES
        tst_qmodbusdeviceidentification.cpp
    LIBRARIES
        Qt::Network
        Qt::SerialBus
)

=== debian/changelog ===
qt6-serialbus (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:26:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-serialbus
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,9 +13,9 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-serialport-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-serialport-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-serialbus 6.9.1

=== debian/changelog ===
qt6-serialbus (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 12:46:10 +0200

qt6-serialbus (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 12:04:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: qt6-serialbus
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libvulkan-dev [linux-any],
                linux-libc-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-serialport-dev (>= 6.8.3~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-serialport-dev (>= 6.9.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git
